STRTABIFY(3pub)

NAME
strtabify - convert runs of spaces and tabs to tabs

SYNOPSIS
#include <publib.h>
char *strtabify(char *str, size_t tabsize);

DESCRIPTION
strtabify will converts spaces and tabs to tabs and spaces (using the minimal amount of spaces required, possibly none), while preserving indentation. Tab positions are set every tabsize columns.

RETURN VALUE
strtabify will return its first argument.

SEE ALSO
publib(3), struntabify(3)

AUTHOR
Lars Wirzenius (lars.wirzenius@helsinki.fi)